<?php

use App\Models\User;
use App\Models\Visitor;
use Illuminate\Foundation\Testing\RefreshDatabase;

uses(RefreshDatabase::class);

test('visitor can be created', function () {
    $visitor = Visitor::factory()->create(['ip' => '127.0.0.1']);
    expect($visitor->ip)->toBe('127.0.0.1');
    expect($visitor->user)->toBeInstanceOf(User::class);
});
